Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicInternalFrameUI.GlassPaneDispatcher

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicInternalFrameUI.GlassPaneDispatcher

protected class BasicInternalFrameUI.GlassPaneDispatcher
extends java.lang.Object
implements MouseInputListener

Constructor Summary
`protected` | `BasicInternalFrameUI.GlassPaneDispatcher()`

Method Summary
`void` | `mouseClicked(java.awt.event.MouseEvent e)` Ignore mouseClicked events.
`void` | `mouseDragged(java.awt.event.MouseEvent e)` Ignore mouseDragged events.
`void` | `mouseEntered(java.awt.event.MouseEvent e)` Forward the mouseEntered event to the underlying child container.
`void` | `mouseExited(java.awt.event.MouseEvent e)` Forward the mouseExited event to the underlying child container.
`void` | `mouseMoved(java.awt.event.MouseEvent e)` Forward the mouseMoved event to the underlying child container.
`void` | `mousePressed(java.awt.event.MouseEvent e)` When inactive, mouse events are forwarded as appropriate either to the UI to activate the frame or to the underlying child component.
`void` | `mouseReleased(java.awt.event.MouseEvent e)` Ignore mouseReleased events.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicInternalFrameUI.GlassPaneDispatcher

    protected BasicInternalFrameUI.GlassPaneDispatcher()

Method Detail

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  When inactive, mouse events are forwarded as appropriate either to the UI to activate the frame or to the underlying child component. In keeping with the MDI messaging model (which JInternalFrame emulates), only the mousePressed event is forwarded to the UI to activate the frame. The mouseEntered, mouseMoved, and MouseExited events are forwarded to the underlying child component, using methods derived from those in Container. The other mouse events are purposely ignored, since they have no meaning to either the frame or its children when the frame is inactive.

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

  Forward the mouseEntered event to the underlying child container.
  See Also:
    `mousePressed(java.awt.event.MouseEvent)`

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

  Forward the mouseMoved event to the underlying child container.
  See Also:
    `mousePressed(java.awt.event.MouseEvent)`

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Forward the mouseExited event to the underlying child container.
  See Also:
    `mousePressed(java.awt.event.MouseEvent)`

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Ignore mouseClicked events.
  See Also:
    `mousePressed(java.awt.event.MouseEvent)`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Ignore mouseReleased events.
  See Also:
    `mousePressed(java.awt.event.MouseEvent)`

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent e)

  Ignore mouseDragged events.
  See Also:
    `mousePressed(java.awt.event.MouseEvent)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.